[arch-commits] Commit in totem/trunk (PKGBUILD video-flv.patch)

Jan de Groot jgc at archlinux.org
Sun Jul 20 17:39:33 EDT 2008


    Date: Sunday, July 20, 2008 @ 17:39:33
  Author: jgc
Revision: 5789

upgpkg: totem 2.22.2-3
    Fix license, add upstrem patch to fix FLV thumbnailing

Added:
  totem/trunk/video-flv.patch
Modified:
  totem/trunk/PKGBUILD

-----------------+
 PKGBUILD        |   32 +++++++++++++++++++-------------
 video-flv.patch |   10 ++++++++++
 2 files changed, 29 insertions(+), 13 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-20 21:26:52 UTC (rev 5788)
+++ PKGBUILD	2008-07-20 21:39:33 UTC (rev 5789)
@@ -3,11 +3,11 @@
 
 pkgname=totem
 pkgver=2.22.2
-pkgrel=2
+pkgrel=3
 url="http://www.hadess.net/totem.php3"
 pkgdesc="A GNOME2 integrated movie player based on Gstreamer."
 arch=(i686 x86_64)
-license=('GPL')
+license=('GPL2' 'custom')
 depends=('gstreamer0.10-good-plugins' 'totem-plparser>=2.22.3' 'libxxf86vm' 'libxtst' 'desktop-file-utils' 'iso-codes>=2.0' 'libepc>=0.3.5' 'python>=2.5.2' 'startup-notification' 'libgnomeui>=2.22.1' 'python-gdata' 'gnome-vfs>=2.22.0-2')
 makedepends=('nautilus>=2.22.2' 'xulrunner>=1.9' 'pkgconfig' 'bluez-libs' 'lirc-utils' 'gnome-doc-utils>=0.12.2' 'gnome-control-center>=2.22.1' 'libtracker' 'gnome-common' 'intltool' 'pygtk')
 options=('!libtool' '!emptydirs')
@@ -15,12 +15,15 @@
 groups=('gnome-extra')
 install=totem.install
 source=(http://ftp.gnome.org/pub/gnome/sources/totem/2.22/${pkgname}-${pkgver}.tar.bz2
-	30_totem_xulrunner19.patch)
-md5sums=('6062080e81b4859f87fee8a592b92489' '42e3246acb3163bab35fc12816a19419')
+	30_totem_xulrunner19.patch
+	video-flv.patch)
+md5sums=('6062080e81b4859f87fee8a592b92489' '42e3246acb3163bab35fc12816a19419'
+	 '8c66edc0e4fd64612189e76f57c40873')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np1 -i ${startdir}/src/30_totem_xulrunner19.patch || return 1
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -Np1 -i ${srcdir}/30_totem_xulrunner19.patch || return 1
+  patch -Np1 -i ${srcdir}/video-flv.patch || return 1
   libtoolize --force --copy || return 1
   aclocal || return 1
   autoconf || return 1
@@ -35,14 +38,17 @@
 	      --disable-scrollkeeper || return 1
   make || return 1
   make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 \
-       DESTDIR=${startdir}/pkg install || return 1
+       DESTDIR=${pkgdir} install || return 1
 
-  rm -f ${startdir}/pkg/usr/share/totem/vanity.*
-  rm -f ${startdir}/pkg/usr/share/pixmaps/vanity.png
+  rm -f ${pkgdir}/usr/share/totem/vanity.*
+  rm -f ${pkgdir}/usr/share/pixmaps/vanity.png
 
-  rm -rf ${startdir}/pkg/usr/lib/mozilla
+  rm -rf ${pkgdir}/usr/lib/mozilla
 
-  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d ${pkgdir}/usr/share/gconf/schemas
+  gconf-merge-schema ${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
+
+  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }

Added: video-flv.patch
===================================================================
--- video-flv.patch	                        (rev 0)
+++ video-flv.patch	2008-07-20 21:39:33 UTC (rev 5789)
@@ -0,0 +1,10 @@
+--- trunk/data/mime-type-list.txt	2008/03/14 00:50:55	5298
++++ trunk/data/mime-type-list.txt	2008/05/26 13:11:33	5433
+@@ -79,6 +79,7 @@
+ video/x-flc
+ video/x-fli
+ video/x-flic
++video/x-flv
+ video/x-m4v
+ video/x-matroska
+ video/x-mpeg





More information about the arch-commits mailing list